﻿namespace XamPropertyGridTest
{
    using System.Windows;

    using Infragistics.Controls.Editors;

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            this.InitializeComponent();
            TestClass testClass = new TestClass();
            testClass.Name = "Ramesh";
            testClass.Age = 17;
            testClass.IsMarried = true;
            this.propertyGrid.SelectedObject = testClass;
            this.propertyGrid.PropertyItemValueChanged += this.PropertyGridOnPropertyItemValueChanged;
        }

        private void PropertyGridOnPropertyItemValueChanged(object sender, PropertyItemEventArgs propertyItemEventArgs)
        {
            MessageBox.Show(propertyItemEventArgs.PropertyItem.PropertyName);
        }
    }
}
