﻿namespace XamPropertyGridTest
{
    using System.ComponentModel;

    public class TestClass : INotifyPropertyChanged
    {
        private string name;

        private int age;

        private bool isMarried;

        public event PropertyChangedEventHandler PropertyChanged;

        public string Name
        {
            get
            {
                return this.name;
            }
            set
            {
                this.name = value;
                this.OnPropertyChanged("Name");
            }
        }

        public int Age
        {
            get
            {
                return this.age;
            }
            set
            {
                this.age = value;
                this.OnPropertyChanged("Age");
            }
        }

        public bool IsMarried
        {
            get
            {
                return this.isMarried;
            }
            set
            {
                this.isMarried = value;
                this.OnPropertyChanged("IsMarried");
            }
        }

        public void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}